#========================================================================================
# package      DE_EPAGES::SEO::API::Attributes::Shop
# state        private
# base         DE_EPAGES::Object::API::BaseAttribute
# description  Implements the Shop attributes
#========================================================================================
package DE_EPAGES::SEO::API::Attributes::Shop;
use base qw( DE_EPAGES::Object::API::BaseAttribute );

use strict;
use DE_EPAGES::SEO::API::Constants qw ( $SITEMAP_NAME $SITEMAP_NAME_MOBILE $SITEMAP_NAME_EXT );

#========================================================================================
# function     getAttributes
# state        private
#----------------------------------------------------------------------------------------
# syntax       $hValues = $Package->( $Object, $aNames );
# example      # never call getAttributes directly!
#               $Value = $Object->get( $AttributeName );
#----------------------------------------------------------------------------------------
# description  Returns attribute values of an object.
#               Used by <function DE_EPAGES::Object::Object::Object::get>
#----------------------------------------------------------------------------------------
# input        $Object | object | object
# input        $aNames | list of attribute names | ref.array
# return       $hValues | attribute name => value hash | ref.hash
#========================================================================================
sub getAttributes {
    shift;
    my ($Object, $aNames) = @_;

    my %Info;
    foreach my $Name (@$aNames) {
        if ( $Name eq 'SitemapPathFileName' ) {
            $Info{$Name} = $Object->get('PrivatePath')."/$SITEMAP_NAME.$SITEMAP_NAME_EXT";
        } elsif ( $Name eq 'MobileSitemapPathFileName' ) {
            $Info{$Name} = $Object->get('PrivatePath')."/$SITEMAP_NAME_MOBILE.$SITEMAP_NAME_EXT";
        }
    }
    return \%Info;
}

1;